> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/docs/guides/select-a-specific-device.md).

# Select a specific Device

In this guide we're going to see how you can select a specific [device](/docs/development/concepts.md#device) when creating a new [analysis](/docs/development/concepts.md#analysis).

> If you're not familiar with GraphQL, please have a look at its [dedicated section](/docs/graphql/overview.md) in this documentation.

The AdSecure crawler is able to simulate in a different way a user that is going to interact with the web content you want to analyse. One of the key points of this feature is the selection of a specific [device](/docs/development/concepts.md#device).

In this guide, we're going to configure our analysis in order to simulate an Google Chrome user on Android.

> By default the AdSecure [crawler](/docs/development/concepts.md#crawler) is not trying to emulate any device or browser.

## Prerequisites

Before starting this guide, please be sure that you're ready to use our service by following the steps illustrated in the [Quickstart](/docs/development/quickstart.md) section.

## Simple case

In order to select a device, you first need to know which one are available. The entire list of [`Device`](/api/graphql/device.md) can be retrieved by running the following query:

```bash
query {
  devices(first: 50) {
    nodes {
      login
    }
  }
}
```

In our case, we want to simulate an Google Chrome user on Android, so we pick: `google_pixel_2_chrome`.

The next steps are quite similar to the one that we've done previous in the in the [First Analysis](/docs/guides/first-analysis.md) guide. From this previous example, we just need to fill the `input.device` field:

**Query**

```bash
mutation {
  createAnalysis(input: {
    content: "https://examples.adsecure.com/simple",
    device: "google_pixel_2_chrome"
  }) {
    id
    device {
      login
      name
    }
  }
}
```

**Response**

```json
{
  "data": {
    "createAnalysis": {
      "id": "YW5hbHlzaXN8YThiYzk0M2ItNTY3ZS00NzA5LWIwOWItMTI1YmMzNGMxMjUwfDIwMTgtMDktMDI=",
      "device": {
        "login": "google_pixel_2_chrome",
        "name": "Google Pixel 2 — Chrome"
      }
    }
  }
}
```

The AdSecure crawler is going to simulate a Google Pixel 2 that's using Chrome.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/docs/guides/select-a-specific-device.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
